org.apache.cassandra.cql3.statements

## Class DropTriggerStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.SchemaAlteringStatement
      - - org.apache.cassandra.cql3.statements.DropTriggerStatement

All Implemented Interfaces:
  CQLStatement

    public class DropTriggerStatement
    extends SchemaAlteringStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
Constructor and Description
`DropTriggerStatement(CFName name, java.lang.String triggerName)`

### Method Summary

Methods
`void` `announceMigration(boolean isLocalOnly)`
`Event.SchemaChange` `changeEvent()`
`void` `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
`void` `validate(ClientState state)` Perform additional validation required by the statment.

### Methods inherited from class org.apache.cassandra.cql3.statements.SchemaAlteringStatement

`execute, executeInternal, getBoundTerms, prepare, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DropTriggerStatement

    public DropTriggerStatement(CFName name,
                        java.lang.String triggerName)

### Method Detail

#### checkAccess

    public void checkAccess(ClientState state)
                     throws UnauthorizedException

Description copied from interface: `CQLStatement`
Perform any access verification necessary for the statement.

Parameters:
  `state` - the current client state
Throws:
  `UnauthorizedException`

#### validate

    public void validate(ClientState state)
                  throws RequestValidationException

Description copied from interface: `CQLStatement`
Perform additional validation required by the statment. To be overriden by subclasses if needed.

Parameters:
  `state` - the current client state
Throws:
  `RequestValidationException`

#### announceMigration

    public void announceMigration(boolean isLocalOnly)
                           throws ConfigurationException

Specified by:
  `announceMigration` in class `SchemaAlteringStatement`
Throws:
  `ConfigurationException`

#### changeEvent

    public Event.SchemaChange changeEvent()

Specified by:
  `changeEvent` in class `SchemaAlteringStatement`